import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { CrSendCouponRecordLog } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-14 16:38
 */
interface CrSendCouponRecordLogCU extends ConditionUtil<CrSendCouponRecordLogCU> {
    UUID: FieldUtil<CrSendCouponRecordLogCU>;
    CSCR_ID: FieldUtil<CrSendCouponRecordLogCU>;
    SEND_RESULT: FieldUtil<CrSendCouponRecordLogCU>;
    SEND_TIME: FieldUtil<CrSendCouponRecordLogCU>;
    SEND_ERROR_DESC: FieldUtil<CrSendCouponRecordLogCU>;
    CREATE_TIME: FieldUtil<CrSendCouponRecordLogCU>;
}
declare class CrSendCouponRecordLogMU extends TableUtilImpl<CrSendCouponRecordLogCU, CrSendCouponRecordLog> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): CrSendCouponRecordLogCU;
    static get UUID(): FieldUtil<CrSendCouponRecordLogCU>;
    static get CSCR_ID(): FieldUtil<CrSendCouponRecordLogCU>;
    static get SEND_RESULT(): FieldUtil<CrSendCouponRecordLogCU>;
    static get SEND_TIME(): FieldUtil<CrSendCouponRecordLogCU>;
    static get SEND_ERROR_DESC(): FieldUtil<CrSendCouponRecordLogCU>;
    static get CREATE_TIME(): FieldUtil<CrSendCouponRecordLogCU>;
    get UUID(): FieldUtil<CrSendCouponRecordLogCU>;
    get CSCR_ID(): FieldUtil<CrSendCouponRecordLogCU>;
    get SEND_RESULT(): FieldUtil<CrSendCouponRecordLogCU>;
    get SEND_TIME(): FieldUtil<CrSendCouponRecordLogCU>;
    get SEND_ERROR_DESC(): FieldUtil<CrSendCouponRecordLogCU>;
    get CREATE_TIME(): FieldUtil<CrSendCouponRecordLogCU>;
}
export { CrSendCouponRecordLogMU, CrSendCouponRecordLogCU };
